ingress:
  main:
    enabled: false

minecraft:
  extraEnv:
    - SYNC_CHUNK_WRITES: "false"
  resources:
    requests:
      cpu: 4
      memory: 8Gi
    limits:
      cpu: 8
      memory: 16Gi
  minecraftServer:
    eula: "TRUE"
    version: "1.20.2"
    type: "FABRIC"
    difficulty: hard
    maxPlayers: 50
    maxWorldSize: 2147483647
    enableCommandBlock: "default"
    maxTickTime: 600000
    spawnProtection: 0
    viewDistance: 16
    gameMode: survival
    removeOldMods: true
    memory: 12288M
    jvmXXOpts: "-XX:+UseG1GC -XX:+ParallelRefProcEnabled -XX:MaxGCPauseMillis=200 -XX:+UnlockExperimentalVMOptions -XX:+DisableExplicitGC -XX:+AlwaysPreTouch -XX:G1NewSizePercent=30 -XX:G1MaxNewSizePercent=40 -XX:G1HeapRegionSize=8M -XX:G1ReservePercent=20 -XX:G1HeapWastePercent=5 -XX:G1MixedGCCountTarget=4 -XX:InitiatingHeapOccupancyPercent=15 -XX:G1MixedGCLiveThresholdPercent=90 -XX:G1RSetUpdatingPauseTimePercent=5 -XX:SurvivorRatio=32 -XX:+PerfDisableSharedMem -XX:MaxTenuringThreshold=1"
    overrideServerProperties: true

    serviceType: LoadBalancer
    servicePort: 25565

    modUrls:
      - https://cdn.modrinth.com/data/p1ewR5kV/versions/xwRVtqbA/unifiedmetrics-platform-fabric-0.3.8.jar
    modrinth:
      projects:
        - chunky
        - fabric-api
        - fabric-language-kotlin
        - starlight
        - lithium
        - c2me-fabric
      allowedVersionType: alpha
    rcon:
      enabled: true
      withGeneratedPassword: true
      port: 25575

    extraPorts:
      - name: metrics
        containerPort: 9100
        protocol: TCP
        service:
          enabled: true
          type: ClusterIP
          port: 9100
        ingress:
          enabled: false

  persistence:
    storageClass: freenas-iscsi-csi
    dataDir:
      enabled: true
      Size: 1Gi

  extraVolumes:
    - volumeMounts:
        - name: config-unifiedmetrics
          mountPath: /data/config/unifiedmetrics/driver/prometheus.yml
          subPath: prometheus.yml
      volumes:
        - name: config-unifiedmetrics
          configMap:
            name: unified-metrics
